Bug 168637 - www/libxul: nsStackWalk.cpp: In function 'nsresult NS_StackWalk(void (*)(void*, void*), PRUint32, void*)': nsStackWalk.cpp:1544: error: '_Unwind_Backtrace' was not declared in this scope
www/libxul: nsStackWalk.cpp: In function 'nsresult NS_StackWalk(void (*)(void...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gecko
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 14:20 UTC by ohartman
Modified: 2012-07-27 14:26 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ohartman 2012-06-03 14:20:06 UTC
Building/updating www/libxul doesn't work anymore since the last port tree update. CLANG, legacy GCC 4.2.1 and GCC 4.6 fail. Below the occured error with legacy gcc is shown:

c++ -o nsStackWalk.o -c -I../../dist/system_wrappers -include ../../config/gcc_hidden.h -DMOZILLA_INTERNAL_API -D_IMPL_NS_COM -DEXPORT_XPT_API -DEXPORT_XPTC_API -D_IMPL_NS_COM_OBSOLETE -D_IMPL_NS_GFX -D_IMPL_NS_WIDGET -DIMPL_XREAPI -DIMPL_NS_NET -DIMPL_THEBES  -DOSTYPE=\"FreeBSD10\" -DOSARCH=FreeBSD -D_IMPL_NS_COM -I./../build -I. -I. -I../../dist/include -I../../dist/include/nsprpub  -I/usr/local/include/nspr -I/usr/ports/www/libxul/work/mozilla-1.9.2/dist/include/nss   -I/usr/include   -I/usr/local/include   -fPIC  -I/usr/local/include  -I/usr/local/include -fno-rtti -fno-exceptions -Wall -Wpointer-arith -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wcast-align -Wno-invalid-offsetof -Wno-long-long -pipe -O3 -fno-strict-aliasing -march=native -fno-strict-aliasing -fshort-wchar -pipe  -DNDEBUG -DTRIMMED -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include/gtk-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/gdk-pixbuf-2.0 -I/us
 r/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng15 -I/usr/local/include/libdrm -I/usr/local/include/gtk-unix-print-2.0    -I/usr/local/include  -I/usr/local/include -DMOZILLA_CLIENT -include ../../mozilla-config.h nsStackWalk.cpp
nsStackWalk.cpp: In function 'nsresult NS_StackWalk(void (*)(void*, void*), PRUint32, void*)':
nsStackWalk.cpp:1544: error: '_Unwind_Backtrace' was not declared in this scope
gmake[4]: *** [nsStackWalk.o] Error 1
gmake[4]: *** Waiting for unfinished jobs....
gmake[4]: Leaving directory `/usr/ports/www/libxul/work/mozilla-1.9.2/xpcom/base'
gmake[3]: *** [libs] Error 2
gmake[3]: Leaving directory `/usr/ports/www/libxul/work/mozilla-1.9.2/xpcom'
gmake[2]: *** [libs_tier_xpcom] Error 2
gmake[2]: Leaving directory `/usr/ports/www/libxul/work/mozilla-1.9.2'
gmake[1]: *** [tier_xpcom] Error 2
gmake[1]: Leaving directory `/usr/ports/www/libxul/work/mozilla-1.9.2'
gmake: *** [default] Error 2
*** [do-build] Error code 1

Stop in /usr/ports/www/libxul.
*** [build] Error code 1

Stop in /usr/ports/www/libxul.

===>>> make failed for www/libxul
===>>> Aborting update

Terminated
Comment 1 Edwin Groothuis freebsd_committer 2012-06-04 13:44:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gecko

Over to maintainer (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=168637 

Date: Mon, 25 Jun 2012 10:08:37 +0300
Comment 2 ohartman 2012-06-25 08:21:32 UTC
The port doesn't compile with CLANG/CLANG++. You need to switch to the
very old and outdated gcc 4.2.1 (system compiler) or manage to compile
the port with gcc 4.6 or higher.
Comment 3 Florian Smeets freebsd_committer 2012-07-27 14:26:31 UTC
State Changed
From-To: open->closed

Should be fixed in the latest version